Skip to main content
POST
/
utilization-target-periods
Create a utilization target period
curl --request POST \
  --url https://www.ruddr.io/api/workspace/utilization-target-periods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "2023-12-25",
  "memberId": "<string>",
  "targetPercentage": 123
}
'
import requests

url = "https://www.ruddr.io/api/workspace/utilization-target-periods"

payload = {
"start": "2023-12-25",
"memberId": "<string>",
"targetPercentage": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: '2023-12-25', memberId: '<string>', targetPercentage: 123})
};

fetch('https://www.ruddr.io/api/workspace/utilization-target-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "4a9f2c67-e831-4d05-b7a2-91c6e3d80f52",
  "start": "2026-07-01",
  "targetPercentage": 75,
  "createdAt": "2026-06-28T14:05:33.891Z",
  "isDefault": false,
  "end": "2026-12-31"
}
A period defining a member’s billable utilization targets.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
start
string<date>
required

The start date for the period. Must be in the form YYYY-MM-DD.

memberId
string
required

The member ID (uuid) for this utilization target period.

targetPercentage
number | null

The target billable utilization percentage for this period. Must be between 0 and 999.99.

Response

200

id
string

The unique identifier for the object.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

targetPercentage
number | null

The target billable utilization percentage for this period.

createdAt
string<date-time>

The timestamp when the object was created.

isDefault
boolean

Whether this is the default utilization target period for the member.

end
string<date> | null

The end date for the period. Will be in the form YYYY-MM-DD. null if the period has no end date.